1

I download metadata from http://geoportale.lamma.rete.toscana.it/MapStore/public/ based on this tutorial http://geoserver.geo-solutions.it/multidim/en/accessing_multidim/rtx/wind_arrows.html and extract it to a folder, so there is some .tiff files in it. then I opened my Geoserver 2.8.1 and on this path: Stores->add new Store-> ImageMosaic ( image mosaicking plugin) then choose the folder contains tiff files. then in the layer configuration, dimension tab, I should see that the time and elevation attributes are enabled as it is mentioned in the tutorial but they are not and The following message appears next to each of the respective enable checkboxes:

Time

Cannot enable, no attribute of type Date found

Elevation

Cannot enable, no attribute of type Number found

I already saw this question How to add time and elevation dimension attributes to Geoserver rasters? but that is not my case since I have not insert Geotiff Data into my Postgres or whatsoever. I spend two days on solving this and read a lot about it with googling the issue.

  • I don't know much about geoserver, but it sounds like your data types may need some manipulation. You also may want to see this question here: gis.stackexchange.com/questions/170464/… – MaryBeth Mar 25 '16 at 2:21
  • do your tiffs have time (and elevation) encoded in their names? did you set the indexer properties to extract that value? – Ian Turton Mar 25 '16 at 10:46
  • @iant thanks for your comment, i now add indexer,datastore,elevation and time.properties like this post gis.stackexchange.com/questions/109885/… but when i clicked the save button this error happens: ` could not list layers for this store,an error occurred retrieving them: failed to create reader from file: [filepostion] and hits null – Saeed J Mar 26 '16 at 16:50
  • What is the question? – nmtoken Mar 26 '16 at 18:00
  • @nmtoken the question is i cannot extract time and elevation from the data. thanks to iant i found that i should use properties files to extract them but when i include the properties files i faced the error i mentioned in the last comment. – Saeed J Mar 26 '16 at 18:08
0

I found the answer by installing geoserver 2.6.0 instead of 2.8.x and everything works fine, also, I should note that the database attribute name that is mentioned in the "datastore.properties" file must not exist in the postgres.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.